Bug 969262 - [abrt] gnome-games-glchess-3.6.1-2.fc18: chess_game_get_current_state: Process /usr/bin/glchess was killed by signal 11 (SIGSEGV)
[abrt] gnome-games-glchess-3.6.1-2.fc18: chess_game_get_current_state: Proces...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-games (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:3d5aed830b22a3df84a004bec7b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 00:46 EDT by Stefan Gies
Modified: 2014-02-05 16:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:36:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.17 KB, text/plain)
2013-05-31 00:46 EDT, Stefan Gies
no flags Details
File: cgroup (129 bytes, text/plain)
2013-05-31 00:46 EDT, Stefan Gies
no flags Details
File: core_backtrace (1.99 KB, text/plain)
2013-05-31 00:46 EDT, Stefan Gies
no flags Details
File: dso_list (9.65 KB, text/plain)
2013-05-31 00:47 EDT, Stefan Gies
no flags Details
File: environ (1.63 KB, text/plain)
2013-05-31 00:47 EDT, Stefan Gies
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-31 00:47 EDT, Stefan Gies
no flags Details
File: maps (46.52 KB, text/plain)
2013-05-31 00:47 EDT, Stefan Gies
no flags Details
File: open_fds (832 bytes, text/plain)
2013-05-31 00:47 EDT, Stefan Gies
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-05-31 00:47 EDT, Stefan Gies
no flags Details
File: var_log_messages (317 bytes, text/plain)
2013-05-31 00:47 EDT, Stefan Gies
no flags Details

  None (edit)
Description Stefan Gies 2013-05-31 00:46:47 EDT
Description of problem:
Playing endgame

Version-Release number of selected component:
gnome-games-glchess-3.6.1-2.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        glchess
crash_function: chess_game_get_current_state
executable:     /usr/bin/glchess
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: ** Message: glchess.vala:134: Detected AI profile GNUchess in /usr/bin/gnuchess

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 chess_game_get_current_state at chess-game.c:6067
 #1 chess_game_get_current_player at chess-game.c:6107
 #2 chess_game_clock_expired_cb at chess-game.c:5934
 #3 _chess_game_clock_expired_cb_chess_clock_expired at chess-game.c:5878
 #4 _g_closure_invoke_va at gclosure.c:840
 #6 g_signal_emit_by_name at gsignal.c:3393
 #7 chess_clock_timer_expired_cb at chess-clock.c:166
 #8 _chess_clock_timer_expired_cb_gsource_func at chess-clock.c:116
 #13 g_main_context_iteration at gmain.c:3351
 #14 g_application_run at gapplication.c:1624

Potential duplicate: bug 865427
Comment 1 Stefan Gies 2013-05-31 00:46:52 EDT
Created attachment 755147 [details]
File: backtrace
Comment 2 Stefan Gies 2013-05-31 00:46:56 EDT
Created attachment 755148 [details]
File: cgroup
Comment 3 Stefan Gies 2013-05-31 00:46:59 EDT
Created attachment 755149 [details]
File: core_backtrace
Comment 4 Stefan Gies 2013-05-31 00:47:04 EDT
Created attachment 755150 [details]
File: dso_list
Comment 5 Stefan Gies 2013-05-31 00:47:07 EDT
Created attachment 755151 [details]
File: environ
Comment 6 Stefan Gies 2013-05-31 00:47:10 EDT
Created attachment 755152 [details]
File: limits
Comment 7 Stefan Gies 2013-05-31 00:47:14 EDT
Created attachment 755153 [details]
File: maps
Comment 8 Stefan Gies 2013-05-31 00:47:17 EDT
Created attachment 755154 [details]
File: open_fds
Comment 9 Stefan Gies 2013-05-31 00:47:21 EDT
Created attachment 755155 [details]
File: proc_pid_status
Comment 10 Stefan Gies 2013-05-31 00:47:24 EDT
Created attachment 755156 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-12-21 08:47:36 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 16:36:03 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.